> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/dev-workflow.md).

# 开发工作流

使用 Creator Hub 创建 Decentraland 场景的推荐工作流，从构思到测试和发布。

本文档概述了为 Decentraland 开发场景的推荐步骤，从构思到发布及后续工作。

## 如何创建 Decentraland 场景？

1. **安装** [**Creator Hub**](https://decentraland.org/download/creator-hub)，这是一款用于创建、预览和发布场景的官方桌面应用，推荐各个技能水平的创作者使用。
2. **如果你使用 AI 编程助手** （例如 Claude Code、Cursor 或 Copilot），请安装官方的 [Decentraland SDK Skills](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/vibe-coding.md) ，使其了解经过验证的 SDK7 模式： `npx skills add decentraland/sdk-skills`
3. **你也可以使用** [**CLI**](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/using-the-cli.md) ，它适合高级用户和自动化工作流。

以下各节将详细介绍工作流程的每个阶段。

## 安装 Creator Hub

请确保已安装 Decentraland Creator Hub。

* [安装指南](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-bian-ji-qi/ru-men/editor-installation.md)

如果你打算编写代码，也请确保安装 [Visual Studio Code](https://code.visualstudio.com/) 或 [Cursor AI](https://www.cursor.com/).

{% hint style="info" %}
**💡 提示**：你也可以使用 AI 助手，根据自然语言描述生成场景代码。请参阅 [使用 AI 进行氛围编程](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/vibe-coding.md) ，了解如何开始使用 AI 辅助开发。
{% endhint %}

## 设计你的体验

考虑你需要占用多大空间、采用何种分布方式、希望玩家能够进行哪些互动等。以下文档可供参考：

* [UX 与 UI 指南](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/ux-ui-guide.md)
* [游戏设计限制](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/design-games.md)
* [场景 MVP 指南](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ti-yan-she-ji/mvp-guidelines.md)

## 发布位置

在 Decentraland 中，内容会发布到相邻的地块上，而可用空间有限。玩家可以在地块之间自由行走。每个场景都是独立的小世界；一个场景中的物品不能延伸到其他场景中，而且每个场景的代码都与其他场景隔离，在沙盒中运行。

通过代币控制向这些位置发布内容的权限。开发场景不需要土地，但准备发布时需要拥有土地访问权限。

你也可以选择将内容发布到 Decentraland [Worlds](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md#decentraland-worlds)，这是独立且彼此隔离的场景。

可选方案如下：

* 租用 LAND
* 购买 LAND
* 获得土地所有者授予的权限
* 发布到 Decentraland World，详见 [Worlds](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md#decentraland-worlds) 以了解更多信息。

更多详情请参阅 [发布选项](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md) 。

## 模板和示例

创建新场景时，可以从多个基础场景模板中进行选择，这些模板包含一些基础代码和 3D 模型。使用这些模板可以更快上手。

* [示例场景](https://docs.decentraland.org/creator/content-creator-zh/jiao-cheng-yu-shi-li/examples.md)：在这里，你可以找到精选的可运行场景和代码仓库，每个示例都展示了可重复使用或供你参考的互动机制。
* [辅助库](https://studios.decentraland.org/resources?sdk_version=SDK7\&resource_type=Library)：它们可以简化许多常见任务。

## 美术资源

如果你是经验丰富的美术创作者，或能找到这样的创作者帮忙，可以为场景制作自定义的 `.gltf` 或 `.glb` 模型。请参阅 [3D 模型基础知识](https://docs.decentraland.org/creator/content-creator-zh/3d-jian-mo-yu-dong-hua/3d-models.md) ，了解如何为 Decentraland 创建 3D 模型。

不过，你不必亲自制作资源。请参阅 [实用资源](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/useful-resources.md) ，了解可用于获取 3D 模型的资源库和生成式 AI 工具，以及其他能够加快工作流程的工具。

## 运行本地预览

要预览场景，请在 Creator Hub 中打开场景，然后点击 **播放** 按钮。或者，如果你在命令行中操作，请在项目根目录下运行 `npm run start` 。

* [预览场景](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/preview-scene.md) ，了解详情。
* 查看 [调试场景](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/tiao-shi/debug-in-preview.md) ，了解排查问题的技巧。
* Desktop Explorer 会以优化后的资源包预览 3D 模型：这些资源包会在你的计算机上转换，因此预览运行更流畅，模型呈现效果也与发布后的完全一致。请参阅 [使用优化后的资源预览](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/preview-scene.md#preview-with-optimized-assets).

{% hint style="info" %}
**💡 提示**：使用 Creator Hub 时，每次修改场景，预览都会自动更新，即使预览正在运行也不例外。
{% endhint %}

## 发布到 Decentraland

场景准备就绪后，就可以将其发布到 Decentraland 了。为此，你需要拥有 LAND、Decentraland NAME 或 ETH ENS 名称，或者获得拥有这些资产的用户授予的权限。

请参阅 [发布](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing.md) ，了解具体操作说明。

或者，你也可以发布到 [Worlds](https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/fa-bu/publishing-options.md#decentraland-worlds)，这是一个无需 LAND 的个人 3D 空间。

## 推广

现在你的场景已经上线，不妨让更多人知道！以下是几种推广方式：

* 在社交媒体上分享（#DCL）
* 在 [Discord](https://dcl.gg/discord)
* 上发布消息 [申请在 events.decentraland.org 上推荐](https://events.decentraland.org/)
* 在你的场景中组织活动
* 在流量较大的区域添加一个通往你场景的出生点

## 迭代改进

场景上线一段时间并收到玩家反馈后，你就可以着手迭代改进了！

通过改进和新增功能更新内容，并将场景的新版本部署到相同坐标。

## 回馈社区

如果你创建了引以为傲的场景、游戏或应用，不妨考虑将其开源！这样其他人就能从你的代码中学习，并在你的成果之上继续开发。你也可以在 [Awesome Repository](https://github.com/decentraland-scenes/Awesome-Repository).

中分享整个项目。如果你开发了可重复使用的功能，也可以将其制作成库，供其他人导入他们的项目。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-zh/chang-jing-sdk7/ru-men/dev-workflow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
